Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class CompletionHandler.SimpleDoneAction

    java.lang.Object
      ix.ip2.HandlerAction
          ix.ip2.HandlerAction.Manual
              ix.ip2.CompletionHandler.SimpleDoneAction

Enclosing class:
  CompletionHandler

Deprecated.

    @Deprecated
    public class CompletionHandler.SimpleDoneAction

extends HandlerAction.Manual

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.HandlerAction
`HandlerAction.Automatic, HandlerAction.AutomaticWhenBound, HandlerAction.Manual, HandlerAction.NoAction, HandlerAction.NotApplicable`

Field Summary

Fields inherited from class ix.ip2.HandlerAction
`shortDescription`

Constructor Summary
`CompletionHandler.SimpleDoneAction(AgendaItem item)` Deprecated.
`CompletionHandler.SimpleDoneAction(AgendaItem item, java.lang.String descr)` Deprecated.

Method Summary
`ActionUnreadyReason` | `getUnreadyReason()` Deprecated. Returns an object that explains why this handler is not ready to be used.
`boolean` | `isReady()` Deprecated. Indicates whether this action is ready to be used or else is waiting for something that would enable it to be used.

Methods inherited from class ix.ip2.HandlerAction
`canAlwaysBeTakenNow, computeStatus, getActionDescription, handle, isStillValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompletionHandler.SimpleDoneAction

    public CompletionHandler.SimpleDoneAction(AgendaItem item)

  Deprecated.

### CompletionHandler.SimpleDoneAction

    public CompletionHandler.SimpleDoneAction(AgendaItem item,
                                              java.lang.String descr)

  Deprecated.

Method Detail

### isReady

    public boolean isReady()

  Deprecated.
  Description copied from class: `HandlerAction`
  Indicates whether this action is ready to be used or else is waiting for something that would enable it to be used. The method in the HandlerAction class just returns true and is overridden in subclasses that have instances that are not always ready.

  Overrides:
    `isReady` in class `HandlerAction`
  See Also:
    `HandlerAction.getUnreadyReason()`

### getUnreadyReason

    public ActionUnreadyReason getUnreadyReason()

  Deprecated.
  Description copied from class: `HandlerAction`
  Returns an object that explains why this handler is not ready to be used.

  Overrides:
    `getUnreadyReason` in class `HandlerAction`
  See Also:
    `HandlerAction.isReady()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD